diff --git a/ldap/servers/slapd/back-ldbm/import-threads.c b/ldap/servers/slapd/back-ldbm/import-threads.c
index c3fca2b..62daa7c 100644
--- a/ldap/servers/slapd/back-ldbm/import-threads.c
+++ b/ldap/servers/slapd/back-ldbm/import-threads.c
@@ -68,7 +68,7 @@ static int import_generate_uniqueid(ImportJob *job, Slapi_Entry *e)
         if (rc == UID_SUCCESS) {
             slapi_entry_set_uniqueid (e, newuniqueid);
         } else {
-            LDAPDebug( LDAP_DEBUG_ANY,
+            LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
                        "import_generate_uniqueid: failed to generate "
                        "uniqueid for %s; error=%d.\n", 
                        slapi_entry_get_dn_const(e), rc, 0 );
@@ -930,7 +930,7 @@ index_producer(void *param)
     /* get a cursor to we can walk over the table */
     db_rval = db->cursor(db, NULL, &dbc, 0);
     if ( db_rval || !dbc ) {
-        LDAPDebug( LDAP_DEBUG_ANY,
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
                    "Failed to get cursor for reindexing\n", 0, 0, 0 );
         dblayer_release_id2entry(be, db);
         goto error;
@@ -966,7 +966,7 @@ index_producer(void *param)
         
         if (0 != db_rval) {
             if (DB_NOTFOUND != db_rval) {
-                LDAPDebug(LDAP_DEBUG_ANY, "%s: Failed to read database, "
+                LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "%s: Failed to read database, "
                     "errno=%d (%s)\n", inst->inst_name, db_rval,
                     dblayer_strerror(db_rval));
                 if (job->task) {
@@ -1090,7 +1090,7 @@ index_producer(void *param)
                         "%s: WARNING: skipping badly formatted entry (id %lu)",
                         inst->inst_name, (u_long)temp_id);
                 }
-                LDAPDebug(LDAP_DEBUG_ANY,
+                LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
                     "%s: WARNING: skipping badly formatted entry (id %lu)\n",
                     inst->inst_name, (u_long)temp_id, 0);
                 continue;
@@ -1528,7 +1528,7 @@ upgradedn_producer(void *param)
                         "%s: Finished to read database", inst->inst_name);
                 }
             } else {
-                LDAPDebug(LDAP_DEBUG_ANY, "%s: Failed to read database, "
+                LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "%s: Failed to read database, "
                     "errno=%d (%s)\n", inst->inst_name, db_rval,
                     dblayer_strerror(db_rval));
                 if (job->task) {
@@ -1662,7 +1662,7 @@ upgradedn_producer(void *param)
                         "%s: WARNING: skipping badly formatted entry (id %lu)",
                         inst->inst_name, (u_long)temp_id);
             }
-            LDAPDebug(LDAP_DEBUG_ANY,
+            LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
                       "%s: WARNING: skipping badly formatted entry (id %lu)\n",
                       inst->inst_name, (u_long)temp_id, 0);
             continue;
@@ -1782,7 +1782,7 @@ upgradedn_producer(void *param)
                         char *newrdn = slapi_create_dn_string("%s %u", rdn, temp_id);
                         char *parentdn = slapi_dn_parent(normdn);
                         /* This entry is a conflict of alt_id */
-                        LDAPDebug(LDAP_DEBUG_ANY,
+                        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
                                   "Entry %s (%lu) is a conflict of (%lu)\n",
                                   normdn, temp_id, alt_id);
                         LDAPDebug2Args(LDAP_DEBUG_ANY, "Renaming \"%s\" to \"%s\"\n",
@@ -1804,7 +1804,7 @@ upgradedn_producer(void *param)
                                           slapi_ch_strdup(rdn), 0);
                     rc = slapi_entry_add_rdn_values(e);
                     if (rc) {
-                        LDAPDebug(LDAP_DEBUG_ANY, "%s: Failed to add rdn values"
+                        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "%s: Failed to add rdn values"
                                   " to an entry: %s (id %lu)\n",
                                   inst->inst_name, normdn, (u_long)temp_id);
                         goto error;
@@ -1834,7 +1834,7 @@ upgradedn_producer(void *param)
 
             rdnp = PL_strchr(rdn, '=');
             if (NULL == rdnp) {
-                LDAPDebug(LDAP_DEBUG_ANY,
+                LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
                     "%s: WARNING: skipping an entry with corrupted RDN \"%s\" "
                     "(id %lu)\n",
                     inst->inst_name, rdn, (u_long)temp_id);
@@ -1865,7 +1865,7 @@ upgradedn_producer(void *param)
                  */
                 rc = slapi_entry_add_rdn_values(e);
                 if (rc) {
-                    LDAPDebug(LDAP_DEBUG_ANY, "%s: Failed to add rdn values "
+                    LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "%s: Failed to add rdn values "
                               "to an entry: %s (id %lu)\n",
                               inst->inst_name, normdn, (u_long)temp_id);
                     slapi_entry_free(e); e = NULL;
@@ -1928,7 +1928,7 @@ upgradedn_producer(void *param)
                                                   slapi_ch_strdup(a->a_type),
                                                   slapi_ch_strdup(*ud_valp),
                                                   isentrydn?0:OLD_DN_NORMALIZE);
-                            LDAPDebug(LDAP_DEBUG_TRACE,
+                            LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG,
                                     "%s: Found upgradedn candidate: %s (id %lu)\n", 
                                     inst->inst_name, valueptr, (u_long)temp_id);
                             if (!entryrdn_get_switch() && isentrydn) {
@@ -1940,7 +1940,7 @@ upgradedn_producer(void *param)
                                  */
                                 rc = slapi_entry_add_rdn_values(e);
                                 if (rc) {
-                                    LDAPDebug(LDAP_DEBUG_ANY,
+                                    LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
                                               "%s: Failed to add rdn values "
                                               "to an entry: %s (id %lu)\n",
                                               inst->inst_name, normdn, (u_long)temp_id);
@@ -1969,7 +1969,7 @@ upgradedn_producer(void *param)
                 charray_free(ud_vals);
                 ud_vals = NULL;
                 if (skipit) {
-                    LDAPDebug(LDAP_DEBUG_ANY, "%s: WARNING: skipping an entry "
+                    LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "%s: WARNING: skipping an entry "
                                   "with a corrupted dn (syntax value): %s "
                                   "(id %lu)\n",
                                   inst->inst_name, 
@@ -3034,7 +3034,7 @@ import_worker(void *param)
 
 error:
     if (ret == DB_RUNRECOVERY) {
-        LDAPDebug(LDAP_DEBUG_ANY,"cannot import; database recovery needed\n",
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,"cannot import; database recovery needed\n",
                   0,0,0);
     } else if (ret == DB_LOCK_DEADLOCK) {
         /* can this occur? */
@@ -3082,7 +3082,7 @@ static int bulk_import_start(Slapi_PBlock *pb)
     PR_Lock(job->inst->inst_config_mutex);
     if (job->inst->inst_flags & INST_FLAG_BUSY) {
         PR_Unlock(job->inst->inst_config_mutex);
-        LDAPDebug(LDAP_DEBUG_ANY, "ldbm: '%s' is already in the middle of "
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "ldbm: '%s' is already in the middle of "
                   "another task and cannot be disturbed.\n",
                   job->inst->inst_name, 0, 0);
         FREE(job);
@@ -3152,7 +3152,7 @@ static int bulk_import_start(Slapi_PBlock *pb)
                              SLAPD_DEFAULT_THREAD_STACKSIZE);
     if (thread == NULL) {
         PRErrorCode prerr = PR_GetError();
-        LDAPDebug(LDAP_DEBUG_ANY, "unable to spawn import thread, "
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "unable to spawn import thread, "
                                   SLAPI_COMPONENT_NAME_NSPR " error %d (%s)\n",
                                   prerr, slapd_pr_strerror(prerr), 0);
         PR_Unlock(job->wire_lock);
@@ -3381,7 +3381,7 @@ void factory_destructor(void *extension, void *object, void *parent)
      * aborted!
      */
     thread = job->main_thread;
-    LDAPDebug(LDAP_DEBUG_ANY, "ERROR bulk import abandoned\n",
+    LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "ERROR bulk import abandoned\n",
               0, 0, 0);
     import_abort_all(job, 1);
     /* wait for import_main to finish... */
@@ -3468,7 +3468,7 @@ int ldbm_back_wire_import(Slapi_PBlock *pb)
     }
 
     /* ??? unknown state */
-    LDAPDebug(LDAP_DEBUG_ANY,
+    LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
               "ERROR: ldbm_back_wire_import: unknown state %d\n",
               state, 0, 0);
     return -1;
@@ -3508,14 +3508,14 @@ dse_conf_backup_core(struct ldbminfo *li, char *dest_dir, char *file_name, char
     {
         filename = slapi_ch_smprintf("%s/%s", dest_dir, file_name);
     }
-    LDAPDebug(LDAP_DEBUG_TRACE, "dse_conf_backup(%s): backup file %s\n",
+    LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "dse_conf_backup(%s): backup file %s\n",
               filter, filename, 0);
 
     /* Open the file to write */
     if ((prfd = PR_Open(filename, PR_RDWR | PR_CREATE_FILE | PR_TRUNCATE,
                         SLAPD_DEFAULT_FILE_MODE)) == NULL)
     {
-        LDAPDebug(LDAP_DEBUG_ANY,
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
                 "dse_conf_backup(%s): open %s failed: (%s)\n",
                 filter, filename, slapd_pr_strerror(PR_GetError()));
         rval = -1;
@@ -3524,7 +3524,7 @@ dse_conf_backup_core(struct ldbminfo *li, char *dest_dir, char *file_name, char
 
     srch_pb = slapi_pblock_new();
     if (!srch_pb) {
-        LDAPDebug(LDAP_DEBUG_ANY,
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
                 "dse_conf_backup(%s): out of memory\n",
                 filter, 0, 0);
         rval = -1;
@@ -3538,7 +3538,7 @@ dse_conf_backup_core(struct ldbminfo *li, char *dest_dir, char *file_name, char
     for (ep = entries; ep != NULL && *ep != NULL; ep++)
     {
         size_t l = strlen(slapi_entry_get_dn_const(*ep)) + 5 /* "dn: \n" */;
-        LDAPDebug(LDAP_DEBUG_TRACE, "\ndn: %s\n", 
+        LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "\ndn: %s\n", 
                  slapi_entry_get_dn_const(*ep), 0, 0);
 
         if (l <= sizeof(tmpbuf))
@@ -3549,7 +3549,7 @@ dse_conf_backup_core(struct ldbminfo *li, char *dest_dir, char *file_name, char
         prrval = PR_Write(prfd, tp, l);
         if ((size_t)prrval != l)
         {
-            LDAPDebug(LDAP_DEBUG_ANY,
+            LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
                 "dse_conf_backup(%s): write %s failed: %d (%s)\n",
                 filter, PR_GetError(), slapd_pr_strerror(PR_GetError()));
             rval = -1;
@@ -3578,7 +3578,7 @@ dse_conf_backup_core(struct ldbminfo *li, char *dest_dir, char *file_name, char
             {
                 attr_val = slapi_value_get_berval(sval);
                 l = strlen(attr_val->bv_val) + attr_name_len + 3; /* : \n" */
-                LDAPDebug(LDAP_DEBUG_TRACE, "%s: %s\n", attr_name,
+                LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "%s: %s\n", attr_name,
                             attr_val->bv_val, 0);
                 if (l <= sizeof(tmpbuf))
                     tp = tmpbuf;
@@ -3588,7 +3588,7 @@ dse_conf_backup_core(struct ldbminfo *li, char *dest_dir, char *file_name, char
                 prrval = PR_Write(prfd, tp, l);
                 if ((size_t)prrval != l)
                 {
-                    LDAPDebug(LDAP_DEBUG_ANY,
+                    LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
                         "dse_conf_backup(%s): write %s failed: %d (%s)\n",
                         filter, PR_GetError(), slapd_pr_strerror(PR_GetError()));
                     rval = -1;
@@ -3605,7 +3605,7 @@ dse_conf_backup_core(struct ldbminfo *li, char *dest_dir, char *file_name, char
             prrval = PR_Write(prfd, "\n", 1);
             if ((int)prrval != 1)
             {
-                LDAPDebug(LDAP_DEBUG_ANY,
+                LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
                     "dse_conf_backup(%s): write %s failed: %d (%s)\n",
                     filter, PR_GetError(), slapd_pr_strerror(PR_GetError()));
                 rval = -1;
@@ -3631,7 +3631,7 @@ out:
         prrval = PR_Close(prfd);
         if (PR_SUCCESS != prrval)
         {
-            LDAPDebug( LDAP_DEBUG_ANY,
+            LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
                 "Fatal Error---Failed to back up dse indexes %d (%s)\n",
                 PR_GetError(), slapd_pr_strerror(PR_GetError()), 0);
             rval = -1;
@@ -3677,7 +3677,7 @@ dse_conf_verify_core(struct ldbminfo *li, char *src_dir, char *file_name, char *
 
     if (PR_SUCCESS != PR_Access(filename, PR_ACCESS_READ_OK))
     {
-        LDAPDebug(LDAP_DEBUG_ANY,
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
             "Warning: config backup file %s not found in backup\n",
             file_name, 0, 0);
         rval = 0;
@@ -3687,7 +3687,7 @@ dse_conf_verify_core(struct ldbminfo *li, char *src_dir, char *file_name, char *
     fd = dblayer_open_huge_file(filename, O_RDONLY, 0);
     if (fd < 0)
     {
-        LDAPDebug(LDAP_DEBUG_ANY,
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
             "Warning: can't open config backup file: %s\n", filename, 0, 0);
         rval = -1;
         goto out;
@@ -3717,7 +3717,7 @@ dse_conf_verify_core(struct ldbminfo *li, char *src_dir, char *file_name, char *
         e = slapi_str2entry(estr, 0);
         slapi_ch_free_string(&estr);
         if (!e) {
-            LDAPDebug(LDAP_DEBUG_ANY, "WARNING: skipping bad LDIF entry "
+            LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "WARNING: skipping bad LDIF entry "
                 "ending line %d of file \"%s\"", curr_lineno, filename, 0);
             continue;
         }
@@ -3753,7 +3753,7 @@ dse_conf_verify_core(struct ldbminfo *li, char *src_dir, char *file_name, char *
     if (0 != slapi_entries_diff(backup_entries, curr_entries, 1 /* test_all */,
                                 log_str, 1 /* force_update */, li->li_identity))
     {
-        LDAPDebug(LDAP_DEBUG_ANY, "WARNING!!: current %s is "
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "WARNING!!: current %s is "
                   "different from backed up configuration; "
                   "The backup is restored.\n", log_str, 0, 0);
     }
diff --git a/ldap/servers/slapd/back-ldbm/import.c b/ldap/servers/slapd/back-ldbm/import.c
index 8ddbf70..0853bba 100644
--- a/ldap/servers/slapd/back-ldbm/import.c
+++ b/ldap/servers/slapd/back-ldbm/import.c
@@ -212,13 +212,13 @@ void import_log_notice(ImportJob *job, char *format, ...)
     }
     /* also save it in the logs for posterity */
     if (job->flags & (FLAG_UPGRADEDNFORMAT|FLAG_UPGRADEDNFORMAT_V1)) {
-        LDAPDebug(LDAP_DEBUG_ANY, "upgradedn %s: %s\n", job->inst->inst_name,
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "upgradedn %s: %s\n", job->inst->inst_name,
                   buffer, 0);
     } else if (job->flags & FLAG_REINDEXING) {
-        LDAPDebug(LDAP_DEBUG_ANY, "reindex %s: %s\n", job->inst->inst_name,
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "reindex %s: %s\n", job->inst->inst_name,
                   buffer, 0);
     } else {
-        LDAPDebug(LDAP_DEBUG_ANY, "import %s: %s\n", job->inst->inst_name,
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "import %s: %s\n", job->inst->inst_name,
                   buffer, 0);
     }
 }
@@ -482,7 +482,7 @@ static int import_start_threads(ImportJob *job)
                         PR_PRIORITY_NORMAL, PR_GLOBAL_BOUND_THREAD,
                         PR_UNJOINABLE_THREAD, SLAPD_DEFAULT_THREAD_STACKSIZE)) {
         PRErrorCode prerr = PR_GetError();
-        LDAPDebug(LDAP_DEBUG_ANY, "unable to spawn import foreman thread, "
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "unable to spawn import foreman thread, "
                   SLAPI_COMPONENT_NAME_NSPR " error %d (%s)\n",
                   prerr, slapd_pr_strerror(prerr), 0);
         FREE(foreman);
@@ -512,7 +512,7 @@ static int import_start_threads(ImportJob *job)
                 PR_UNJOINABLE_THREAD,
                 SLAPD_DEFAULT_THREAD_STACKSIZE)) {
             PRErrorCode prerr = PR_GetError();
-            LDAPDebug(LDAP_DEBUG_ANY, "unable to spawn import worker thread, "
+            LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "unable to spawn import worker thread, "
                     SLAPI_COMPONENT_NAME_NSPR " error %d (%s)\n",
                     prerr, slapd_pr_strerror(prerr), 0);
             FREE(worker);
@@ -1251,7 +1251,7 @@ int import_main_offline(void *arg)
                 producer, PR_PRIORITY_NORMAL, PR_GLOBAL_BOUND_THREAD,
                 PR_UNJOINABLE_THREAD, SLAPD_DEFAULT_THREAD_STACKSIZE)) {
                 PRErrorCode prerr = PR_GetError();
-                LDAPDebug(LDAP_DEBUG_ANY,
+                LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
                           "unable to spawn upgrade dn producer thread, "
                           SLAPI_COMPONENT_NAME_NSPR " error %d (%s)\n",
                           prerr, slapd_pr_strerror(prerr), 0);
@@ -1265,7 +1265,7 @@ int import_main_offline(void *arg)
                 PR_UNJOINABLE_THREAD,
                 SLAPD_DEFAULT_THREAD_STACKSIZE)) {
                 PRErrorCode prerr = PR_GetError();
-                LDAPDebug(LDAP_DEBUG_ANY,
+                LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
                           "unable to spawn index producer thread, "
                           SLAPI_COMPONENT_NAME_NSPR " error %d (%s)\n",
                           prerr, slapd_pr_strerror(prerr), 0);
@@ -1280,7 +1280,7 @@ int import_main_offline(void *arg)
                             PR_UNJOINABLE_THREAD,
                             SLAPD_DEFAULT_THREAD_STACKSIZE)) {
                         PRErrorCode prerr = PR_GetError();
-                LDAPDebug(LDAP_DEBUG_ANY,
+                LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
                         "unable to spawn import producer thread, "
                         SLAPI_COMPONENT_NAME_NSPR " error %d (%s)\n",
                         prerr, slapd_pr_strerror(prerr), 0);
@@ -1734,7 +1734,7 @@ int ldbm_back_ldif2ldbm_deluxe(Slapi_PBlock *pb)
                                  SLAPD_DEFAULT_THREAD_STACKSIZE);
         if (thread == NULL) {
             PRErrorCode prerr = PR_GetError();
-            LDAPDebug(LDAP_DEBUG_ANY, "unable to spawn import thread, "
+            LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "unable to spawn import thread, "
                         SLAPI_COMPONENT_NAME_NSPR " error %d (%s)\n",
                         prerr, slapd_pr_strerror(prerr), 0);
             import_free_job(job);
diff --git a/ldap/servers/slapd/back-ldbm/index.c b/ldap/servers/slapd/back-ldbm/index.c
index 81d6621..7b454c5 100644
--- a/ldap/servers/slapd/back-ldbm/index.c
+++ b/ldap/servers/slapd/back-ldbm/index.c
@@ -353,7 +353,7 @@ index_addordel_entry(
     int		rc, result;
     Slapi_Attr		*attr;
 
-    LDAPDebug( LDAP_DEBUG_TRACE, "=> index_%s_entry( \"%s\", %lu )\n",
+    LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "=> index_%s_entry( \"%s\", %lu )\n",
                (flags & BE_INDEX_ADD) ? "add" : "del",
                backentry_get_ndn(e), (u_long)e->ep_id );
 
@@ -472,7 +472,7 @@ index_addordel_entry(
         }
     }
     
-    LDAPDebug( LDAP_DEBUG_TRACE, "<= index_%s_entry%s %d\n",
+    LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "<= index_%s_entry%s %d\n",
                (flags & BE_INDEX_ADD) ? "add" : "del", 
                (flags & BE_INDEX_TOMBSTONE) ? " (tombstone)" : "", result );
     return( result );
@@ -903,7 +903,7 @@ index_read_ext_allids(
 		LDAPDebug0Args( LDAP_DEBUG_ANY, "index_read_ext: NULL prefix\n" );
 		return NULL;
 	}
-	LDAPDebug( LDAP_DEBUG_TRACE, "=> index_read( \"%s\" %s \"%s\" )\n",
+	LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "=> index_read( \"%s\" %s \"%s\" )\n",
 		   type, prefix, encode (val, buf));
 
 	basetype = typebuf;
@@ -919,7 +919,7 @@ index_read_ext_allids(
 		return NULL;
 	}
 
-	LDAPDebug( LDAP_DEBUG_ARGS, "   indextype: \"%s\" indexmask: 0x%x\n",
+	LDAPDebug(LDAP_DEBUG_ARGS, LOG_DEBUG, "   indextype: \"%s\" indexmask: 0x%x\n",
 	    indextype, ai->ai_indexmask, 0 );
 
 	/* If entryrdn switch is on AND the type is entrydn AND the prefix is '=', 
@@ -954,7 +954,7 @@ index_read_ext_allids(
 	if ( !is_indexed( indextype, ai->ai_indexmask, ai->ai_index_rules ) ) {
 		idl =  idl_allids( be );
                 if (unindexed != NULL) *unindexed = 1;
-		LDAPDebug( LDAP_DEBUG_TRACE, "<= index_read %lu candidates "
+		LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "<= index_read %lu candidates "
 		    "(allids - not indexed)\n", (u_long)IDL_NIDS(idl), 0, 0 );
 		index_free_prefix( prefix );
 		slapi_ch_free_string( &basetmp );
@@ -973,7 +973,7 @@ index_read_ext_allids(
 		if (unindexed != NULL) *unindexed = 1;
 		LDAPDebug1Arg( LDAP_DEBUG_BACKLDBM, "<= index_read %lu candidates "
 		    "(do not use index)\n", (u_long)IDL_NIDS(idl) );
-		LDAPDebug( LDAP_DEBUG_BACKLDBM, "<= index_read index attr %s type %s "
+		LDAPDebug(LDAP_DEBUG_BACKLDBM, LOG_DEBUG, "<= index_read index attr %s type %s "
 		    "for value %s does not use index\n", basetype, indextype,
 		    (val && val->bv_val) ? val->bv_val : "ALL" );
 		index_free_prefix( prefix );
@@ -981,7 +981,7 @@ index_read_ext_allids(
 		return( idl );
 	}
 	if ( (*err = dblayer_get_index_file( be, ai, &db, DBOPEN_CREATE )) != 0 ) {
-		LDAPDebug( LDAP_DEBUG_TRACE,
+		LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG,
 		    "<= index_read NULL (index file open for attr %s)\n",
 		    basetype, 0, 0 );
 		index_free_prefix (prefix);
@@ -997,7 +997,7 @@ index_read_ext_allids(
 		/* If necessary, encrypt this index key */
 		ret = attrcrypt_encrypt_index_key(be, ai, val, &encrypted_val);
 		if (ret) {
-			LDAPDebug( LDAP_DEBUG_ANY,
+			LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
 		    "index_read failed to encrypt index key for %s\n",
 		    basetype, 0, 0 );
 		}
@@ -1054,7 +1054,7 @@ index_read_ext_allids(
 		ber_bvfree(encrypted_val);
 	}
 
-	LDAPDebug( LDAP_DEBUG_TRACE, "<= index_read %lu candidates\n",
+	LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "<= index_read %lu candidates\n",
                    (u_long)IDL_NIDS(idl), 0, 0 );
 	return( idl );
 }
@@ -1235,7 +1235,7 @@ index_range_read_ext(
     int coreop = operator & SLAPI_OP_RANGE;
 
     if (!pb) {
-        LDAPDebug(LDAP_DEBUG_ANY, "index_range_read: NULL pblock\n",
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "index_range_read: NULL pblock\n",
                   0, 0, 0);
         return NULL;
     }
@@ -1286,7 +1286,7 @@ index_range_read_ext(
       case SLAPI_OP_GREATER:
         break;
       default:
-        LDAPDebug( LDAP_DEBUG_ANY,
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
               "<= index_range_read(%s,%s) NULL (operator %i)\n",
               type, prefix, coreop );
         index_free_prefix(prefix);
@@ -1297,18 +1297,18 @@ index_range_read_ext(
         index_free_prefix(prefix);
         return NULL;
     }
-    LDAPDebug( LDAP_DEBUG_ARGS, "   indextype: \"%s\" indexmask: 0x%x\n",
+    LDAPDebug(LDAP_DEBUG_ARGS, LOG_DEBUG, "   indextype: \"%s\" indexmask: 0x%x\n",
         indextype, ai->ai_indexmask, 0 );
     if ( !is_indexed( indextype, ai->ai_indexmask, ai->ai_index_rules )) {
         idl = idl_allids( be );
-        LDAPDebug( LDAP_DEBUG_TRACE,
+        LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG,
             "<= index_range_read(%s,%s) %lu candidates (allids)\n",
             type, prefix, (u_long)IDL_NIDS(idl) );
         index_free_prefix(prefix);
         return( idl );
     }
     if ( (*err = dblayer_get_index_file( be, ai, &db, DBOPEN_CREATE )) != 0 ) {
-        LDAPDebug( LDAP_DEBUG_ANY,
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
             "<= index_range_read(%s,%s) NULL (could not open index file)\n",
             type, prefix, 0 );
         index_free_prefix(prefix);
@@ -1321,7 +1321,7 @@ index_range_read_ext(
     *err = db->cursor(db,db_txn,&dbc,0);
     if (0 != *err ) {
         ldbm_nasty(errmsg, 1060, *err);
-        LDAPDebug( LDAP_DEBUG_ANY,
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
             "<= index_range_read(%s,%s) NULL: db->cursor() == %i\n",
             type, prefix, *err );
         dblayer_release_index_file( be, ai, db );
@@ -1379,7 +1379,7 @@ index_range_read_ext(
                     goto error;
                 } else {
                     ldbm_nasty(errmsg, 1070, *err);
-                    LDAPDebug( LDAP_DEBUG_ANY,
+                    LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
                         "index_range_read(%s,%s) seek to end of index file err %i\n",
                         type, prefix, *err );
                 }
@@ -1411,9 +1411,9 @@ index_range_read_ext(
     }
     /* if (LDAP_DEBUG_FILTER)  {
         char encbuf [BUFSIZ];
-        LDAPDebug( LDAP_DEBUG_FILTER, "   lowerkey=%s(%li bytes)\n",
+        LDAPDebug(LDAP_DEBUG_FILTER, LOG_DEBUG, "   lowerkey=%s(%li bytes)\n",
               encoded (&lowerkey, encbuf), (long)lowerkey.dsize, 0 );
-        LDAPDebug( LDAP_DEBUG_FILTER, "   upperkey=%s(%li bytes)\n",
+        LDAPDebug(LDAP_DEBUG_FILTER, LOG_DEBUG, "   upperkey=%s(%li bytes)\n",
               encoded (&upperkey, encbuf), (long)upperkey.dsize, 0 );
     } */
     data.flags = DB_DBT_MALLOC;
@@ -1437,7 +1437,7 @@ index_range_read_ext(
         } else { 
             idl = idl_allids( be ); 
             ldbm_nasty(errmsg, 1080, *err);
-            LDAPDebug( LDAP_DEBUG_ANY, 
+            LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, 
                 "<= index_range_read(%s,%s) allids (seek to lower key in index file err %i)\n", 
                 type, prefix, *err ); 
         } 
@@ -1456,7 +1456,7 @@ index_range_read_ext(
     if (coreop == SLAPI_OP_GREATER) {
         *err = index_range_next_key(db, &cur_key, db_txn);
         if (*err) {
-            LDAPDebug(LDAP_DEBUG_ANY, "<= index_range_read(%s,%s) op==GREATER, no next key: %i)\n",
+            LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "<= index_range_read(%s,%s) op==GREATER, no next key: %i)\n",
                 type, prefix, *err );
             goto error;
         }
@@ -1481,7 +1481,7 @@ index_range_read_ext(
             IDList *tmp;
             /*
             char encbuf [BUFSIZ];
-            LDAPDebug( LDAP_DEBUG_FILTER, "   cur_key=%s(%li bytes)\n",
+            LDAPDebug(LDAP_DEBUG_FILTER, LOG_DEBUG, "   cur_key=%s(%li bytes)\n",
                    encoded (&cur_key, encbuf), (long)cur_key.dsize, 0 );
             */
             /* lookthrough limit and size limit check */
@@ -1624,7 +1624,7 @@ error:
     DBT_FREE_PAYLOAD(upperkey);
 
     dblayer_release_index_file( be, ai, db );
-    LDAPDebug( LDAP_DEBUG_TRACE, "<= index_range_read(%s,%s) %lu candidates\n",
+    LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "<= index_range_read(%s,%s) %lu candidates\n",
                    type, prefix, (u_long)IDL_NIDS(idl) );
     return( idl );
 }
@@ -1673,13 +1673,13 @@ addordel_values(
 	char	*realbuf;
 	char	*prefix;
 
-	LDAPDebug( LDAP_DEBUG_TRACE, "=> %s_values\n",
+	LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "=> %s_values\n",
 		   (flags & BE_INDEX_ADD) ? "add" : "del", 0, 0);
 
 	prefix = index_index2prefix( indextype );
 
 	if (prefix == NULL) {
-		LDAPDebug( LDAP_DEBUG_ANY, "<= %s_values: NULL prefix\n",
+		LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "<= %s_values: NULL prefix\n",
 			(flags & BE_INDEX_ADD) ? "add" : "del", 0, 0 );
 		return( -1 );
 	}
@@ -1709,7 +1709,7 @@ addordel_values(
 		index_free_prefix (prefix);
 		if (NULL != key.dptr && prefix != key.dptr)
 			slapi_ch_free( (void**)&key.dptr );
-		LDAPDebug( LDAP_DEBUG_TRACE, "<= %s_values %d\n",
+		LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "<= %s_values %d\n",
 			   (flags & BE_INDEX_ADD) ? "add" : "del", rc, 0 );
 		return( rc );
 	}
@@ -1743,7 +1743,7 @@ addordel_values(
 		{
 			char encbuf[BUFSIZ];
 
-			LDAPDebug (LDAP_DEBUG_TRACE, "   %s_value(\"%s\")\n",
+			LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "   %s_value(\"%s\")\n",
 				   (flags & BE_INDEX_ADD) ? "add" : "del",
 				   encoded (&key, encbuf), 0);
 		}
@@ -1787,7 +1787,7 @@ addordel_values(
 	{
             ldbm_nasty(errmsg, 1110, rc);
 	}
-	LDAPDebug( LDAP_DEBUG_TRACE, "<= %s_values %d\n",
+	LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "<= %s_values %d\n",
 	    (flags & BE_INDEX_ADD) ? "add" : "del", rc, 0 );
 	return( rc );
 }
@@ -1820,7 +1820,7 @@ addordel_values_sv(
     const struct berval *bvp;
     struct berval *encrypted_bvp = NULL;
 
-    LDAPDebug( LDAP_DEBUG_TRACE, "=> %s_values\n",
+    LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "=> %s_values\n",
                (flags & BE_INDEX_ADD) ? "add" : "del", 0, 0);
 
     prefix = index_index2prefix( indextype );
@@ -1856,7 +1856,7 @@ addordel_values_sv(
             slapi_ch_free( (void**)&key.dptr );
         }
         index_free_prefix (prefix);
-        LDAPDebug( LDAP_DEBUG_TRACE, "<= %s_values %d\n",
+        LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "<= %s_values %d\n",
                    (flags & BE_INDEX_ADD) ? "add" : "del", rc, 0 );
         return( rc );
     }
@@ -1872,7 +1872,7 @@ addordel_values_sv(
 				rc = attrcrypt_encrypt_index_key(be,a,bvp,&encrypted_bvp);
 				if (rc) 
 				{
-					LDAPDebug (LDAP_DEBUG_ANY, "Failed to encrypt index key for %s\n", a->ai_type ,0,0);
+					LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "Failed to encrypt index key for %s\n", a->ai_type ,0,0);
 				} else {
 					bvp = encrypted_bvp;
 				}
@@ -1912,7 +1912,7 @@ addordel_values_sv(
         {
             char encbuf[BUFSIZ];
 
-            LDAPDebug (LDAP_DEBUG_TRACE, "   %s_value(\"%s\")\n",
+            LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "   %s_value(\"%s\")\n",
                        (flags & BE_INDEX_ADD) ? "add" : "del",
                        encoded (&key, encbuf), 0);
         }
@@ -1956,7 +1956,7 @@ addordel_values_sv(
     {
         ldbm_nasty(errmsg, 1140, rc);
     }
-    LDAPDebug( LDAP_DEBUG_TRACE, "<= %s_values %d\n",
+    LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "<= %s_values %d\n",
                (flags & BE_INDEX_ADD) ? "add" : "del", rc, 0 );
     return( rc );
 }
@@ -2012,7 +2012,7 @@ index_addordel_values_ext_sv(
     char	buf[SLAPD_TYPICAL_ATTRIBUTE_NAME_MAX_LENGTH];
     char	*basetmp, *basetype;
     
-    LDAPDebug( LDAP_DEBUG_TRACE,
+    LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG,
                "=> index_addordel_values_ext_sv( \"%s\", %lu )\n", type, (u_long)id, 0 );
 
     basetype = buf;
@@ -2027,10 +2027,10 @@ index_addordel_values_ext_sv(
 		slapi_ch_free_string( &basetmp );
         return( 0 );
     }
-    LDAPDebug( LDAP_DEBUG_ARGS, "   index_addordel_values_ext_sv indexmask 0x%x\n",
+    LDAPDebug(LDAP_DEBUG_ARGS, LOG_DEBUG, "   index_addordel_values_ext_sv indexmask 0x%x\n",
                ai->ai_indexmask, 0, 0 );
     if ( (err = dblayer_get_index_file( be, ai, &db, DBOPEN_CREATE )) != 0 ) {
-        LDAPDebug( LDAP_DEBUG_ANY,
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
                    "<= index_read NULL (could not open index attr %s)\n",
                    basetype, 0, 0 );
 		slapi_ch_free_string( &basetmp );
@@ -2183,7 +2183,7 @@ index_addordel_values_ext_sv(
         slapi_ch_free( (void**)&basetmp );
     }
 
-    LDAPDebug (LDAP_DEBUG_TRACE, "<= index_addordel_values_ext_sv\n", 0, 0, 0 );
+    LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "<= index_addordel_values_ext_sv\n", 0, 0, 0 );
     return( 0 );
 
  bad:
